4S-BACKEND_SETUP(1J)

NAME
4s-backend-setup - Create a new 4store KB

SYNOPSIS
4s-backend-setup kbname [--node node-number] [--cluster cluster-size] [--segments segment-count] kb-name

--node
    Number of this node in the cluster, values range from 0 to cluster-size - 1. The default is 0.

--cluster
    The number of nodes in the cluster. The default is 1.

--segments
    The number of segments in the cluster. The default is 2. We recommend one for each CPU core in the cluster as a good starting point. Higher numbers tend to consume more resources, but may result in increased performance.

NOTES
Once created with 4s-backend-setup KBs should be started with 4s-backend(1)

SEE ALSO
4s-query(1), 4s-size(1), 4s-httpd(1), 4s-backend(1), 4s-delete-model(1)

EXAMPLES
$ 4s-backend-setup --node 0 --cluster 1 --segments 4 demo

Creates the indexes for a single-machine KB with four segments, named "demo".